#projects {
    background-image: url('../images/Background.png');
	  text-shadow: black -1px -1px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    min-height: 100vh;
    
}


.projects h1 {
    font-size: 4em;
    color: white;
    -webkit-text-stroke: 2px black;
    text-shadow: 1px 1px 2px black;
}

.carousel-container {
  position: relative;
  width: 1000px;
  height: 70vh;
  margin: 40px auto;
  perspective: 1000px;
  justify-content: center;
}

.projects {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 1s;

}

.card {
  display: inline-block;
  min-width: 300px;
  max-width: 400px;
  flex-shrink: 0;
  background-color: #121212;
  border-radius: 16px;
  padding: 24px;
  box-shadow: 0 0 20px rgba(0,0,0,0.5);
  transition: transform 0.3s ease;
  scroll-snap-align: start;
  white-space: normal;
  word-wrap: break-word;
  overflow-wrap: break-word;
  position: absolute;
  text-align: center;
}

.card:hover {
  transform: translateY(-6px);
  box-shadow: 0 10px 30px rgba(0,0,0,0.8);
}

.card img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 500px;
  border-radius: 20px;
}

.card h3 {
  margin-bottom: 12px;
  font-size: 1.1rem;
}

.card p {
  font-size: 0.9rem;
  line-height: 1.5;
  margin-bottom: 20px;
  color: #ccc;
}

.card a {
  color: #00bfff;
  text-decoration: none;
  font-weight: 500;
}

.card a:hover {
  text-decoration: underline;
}

.prev,
.next {
  position: absolute;
  top: 50%;
  transform: translateY(25%);
  background-color: rgba(0,0,0,0.6);
  border: none;
  color: #fff;
  font-size: 2rem;
  padding: 12px;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
  z-index: 100;
}

.prev:hover,
.next:hover {
  background-color: rgba(0,0,0,0.8);
}

.prev {
  left: 170px;  /* shift left of container */
}

.next {
  right: 170px; /* shift right of container */
}